/**
 * Cookie banner
 */
 .mp-cn-info {
    background: #fff;
    border: 0;
    bottom: 30px;
    box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
    font-size: 16px;
    font-weight: 400;
    height: auto;
    left: 50%;
    letter-spacing: 0;
    line-height: 1.5;
    margin: 0;
    max-width: 1020px;
    min-width: auto;
    padding: 30px 30px 20px 30px;
    position: fixed;
    text-align: center;
    transform: translateX(-50%);
    width: 80%;
    z-index: 100000000000;
  }
  
  .mp-cn-info.is-hidden {
    display: none;
  }
  
  .mp-cn-info,
  .mp-cn-info * {
    box-sizing: border-box;
  }

  .mp-cn-info .wp-element-button.btn-outline {
    background: #fff;
    border: 1px solid var(--wp--preset--color--accent);
    color: var(--wp--preset--color--accent);
  }

  .mp-cn-info .wp-element-button.btn-outline:active,
  .mp-cn-info .wp-element-button.btn-outline:focus,
  .mp-cn-info .wp-element-button.btn-outline:hover {
    background: var(--wp--preset--color--contrast-2);
    border: 1px solid var(--wp--preset--color--contrast-2);
    color: #fff;
  }
  
  .mp-cn-info-text p {
    margin-top: 0;
  }
  
  .mp-cn-info-buttons {
    margin-top: 20px;
    text-align: center;
  }
  
  .mp-cn-info-buttons .btn {
    display: inline-block;
  }
  
  .mp-cn-info-extended .btn,
  .mp-cn-info-buttons .btn {
    margin: 10px;
    white-space: nowrap;
  }
  .mp-cn-info-extended .btn.btn--primary,
  .mp-cn-info-buttons .btn.btn--primary {
    background: #222;
    color: #fff;
  }
  .mp-cn-info-extended .btn.btn--primary:active, .mp-cn-info-extended .btn.btn--primary:focus, .mp-cn-info-extended .btn.btn--primary:hover,
  .mp-cn-info-buttons .btn.btn--primary:active,
  .mp-cn-info-buttons .btn.btn--primary:focus,
  .mp-cn-info-buttons .btn.btn--primary:hover {
    background: #fff;
    border-color: #222 !important;
    color: #222 !important;
  }
  
  .mp-cn-info-extended {
    background: #fff;
    box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
    font-size: 16px;
    line-height: 1.4;
    left: 50%;
    max-height: 90vh;
    max-width: 960px;
    overflow: hidden;
    padding: 0 0 80px 0;
    position: fixed;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 90%;
    z-index: 100000000000;
  }
  
  .mp-cn-info-extended.is-hidden {
    opacity: 0;
    pointer-events: none;
    top: 100%;
  }
  
  .mp-cn-info-extended-wrapper {
    height: calc(90vh - 80px);
    overflow: auto;
    position: relative;
    padding: 30px;
  }
  
  .mp-cn-info-extended-text > p:first-child {
    margin-top: 0;
  }
  
  .mp-cn-info-extended-buttons {
    align-items: center;
    background: #f0f0f0;
    box-shadow: 0 -8px 8px rgba(0, 0, 0, 0.075);
    bottom: 0;
    display: flex;
    height: 80px;
    left: 0;
    padding: 0 30px;
    position: absolute;
    right: 0;
    width: calc(100% - 60px);
    z-index: 100000000001;
  }
  
  .mp-cn-info-extended-buttons .btn + .btn {
    margin-left: auto;
  }
  
  .mp-cn-info-extended-checkboxes {
    list-style-type: none;
    margin: 30px -30px;
    padding: 0;
  }
  
  .mp-cn-info-extended .mp-cn-consent {
    padding: 15px 30px 20px 30px;
    position: relative;
  }
  
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox] {
    opacity: 0;
    left: 0;
    top: 25px;
  }
  
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox]:before,
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox]:after {
    display: none;
  }
  
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox]:checked + .mp-cn-consent-label-text:before {
    opacity: 1;
  }
  
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox]:disabled + .mp-cn-consent-label-text:after,
  .mp-cn-info-extended .mp-cn-consent input[type=checkbox]:disabled + .mp-cn-consent-label-text:before {
    opacity: 0.5;
    cursor: not-allowed;
  }
  
  .mp-cn-info-extended .mp-cn-consent-label {
    position: relative;
  }
  
  .mp-cn-info-extended .mp-cn-consent:nth-child(odd) {
    background: #f5f5f5;
  }
  
  .mp-cn-info-extended .mp-cn-consent-label-text {
    color: #444;
    font-size: 16px;
    font-weight: bold;
    margin-left: 15px;
  }
  
  .mp-cn-info-extended .mp-cn-consent-label-text:before {
    border: 2px solid #333;
    border-width: 0 2px 2px 0;
    content: "";
    height: 10px;
    left: 7px;
    opacity: 0;
    padding: 0;
    position: absolute;
    top: 13px;
    transform: translateY(-11px) rotate(45deg);
    transition: all 0.25s ease;
    width: 7px;
    z-index: 1;
  }
  
  .mp-cn-info-extended .mp-cn-consent-label-text:after {
    background: #fff;
    border: 2px solid #333;
    border-radius: 2px;
    content: "";
    height: 20px;
    left: 0;
    position: absolute;
    top: -2px;
    transition: all 0.25s ease;
    width: 20px;
  }
  
  .mp-cn-info-extended .mp-cn-consent-description {
    font-size: 14px;
    margin: 10px 0 0 0;
  }
  
  .mp-cn-info-extended .mp-cn-info-extended-button-accept-all {
    display: inline-block;
    margin: 10px 0 0 0;
  }
  
  .mp-cn-info-extended-buttons .btn {
    margin-left: 0;
    margin-right: 0;
  }
  
  .mp-cn-info-extended-buttons .btn + .btn {
    margin-left: auto;
  }
  
  @media (max-width: 960px) {
    .mp-cn-info {
      bottom: 0;
      width: 100%;
    }
  }
  @media (max-width: 720px) {
    .mp-cn-info,
    .mp-cn-info-extended {
      font-size: 14px;
    }
    .mp-cn-info-extended {
      max-height: 98%;
      max-width: 98%;
      width: 98%;
    }
    .mp-cn-info-extended-wrapper {
      height: calc(98vh - 80px);
    }
    .mp-cn-info-extended .mp-cn-consent-label-text:before {
      top: 12px;
    }
    .mp-cn-info-extended .mp-cn-consent-label-text:after {
      top: -3px;
    }
  }
  @media (max-width: 600px) {
    .mp-cn-info {
      padding: 20px 10px 10px 10px;
    }
    .mp-cn-info,
    .mp-cn-info-extended {
      font-size: 13px;
    }
    .mp-cn-info-buttons {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      margin-top: 10px;
    }
    .mp-cn-info-buttons .btn {
      align-items: center;
      display: flex;
      justify-content: center;
      margin: 5px;
    }
    .mp-cn-info-buttons .btn:nth-child(3) {
      width: 234px;
    }
  }